<?php 
    /*
        Template Name: Home Page
    */
?>
<?php get_header();?>
<div id="service-section">
    <div class="service-head">
        <div class="container">
            <div class="row">
                <div class="col-sm-12">
                    <h1><?php echo esc_html(medical_life_get_option('medical_life_service_title'));?></h1> 
                    <img src="<?php echo esc_url($medical_life_defaults['medical_life_underline_img']);?>" alt="<?php _e('Img','medical-life');?>">
                </div>
            </div>
        </div>
    </div>
    <div class="service-para">
      <div class="container">
        <div class="row">
          <div class="col-sm-12">
            <p><?php echo esc_html(medical_life_get_option('medical_life_service_title_desc'));?></p>
           </div>
         </div>
       </div>
     </div>
    <div class="container">
       <div class="care-section">
         <div class="row">
         <?php 
            $cat= medical_life_get_option('medical_life_serviceCategory');
            $args= array(
                'post_type'        => 'post',
                'category_name'     => $cat,
                'posts_per_page'    => 3,
            );
            $query= new WP_Query($args);     
            if($query->have_posts()):while($query->have_posts()):$query->the_post();
         ?>
            <div class="col-sm-4 col-md-4 col-xs-12">
                <div class="row">
                    <?php if(has_post_thumbnail()):?>
                       <div class="col-sm-3 col-md-3 col-xs-3">
                       <?php the_post_thumbnail('medical_life_service_title_desc');?>
                       </div>
                    <?php endif;?>
                      <div class="col-sm-9 col-md-9 col-xs-9">
                        <p><a href="<?php the_permalink();?>"><small class="care-title"><?php the_title();?></small></a><br>
                        <small class="care-content"><?php the_excerpt();?></small></p>
                     </div>
                </div><!--row-->
            </div>
            <?php 
                endwhile;
                endif;
                wp_reset_postdata();
            ?>
          </div>
       </div><!--row-->
    </div><!--care-section-->
</div><!--service-section-->
<div id="ghar" class="parallax">
    <div class="overlay" id="medical-life-overlay">
        <div id="health-section">
          <div class="health-head">
            <div class="container">
              <div class="row">
                <div class="col-sm-12 col-md-12 col-xs-12">
                    <h1><?php echo esc_html(medical_life_get_option('medical_life_healthtips_title'));?></h1>
                    <img src="<?php echo esc_url($medical_life_defaults['medical_life_underline_img']);?>" alt="<?php _e('Img','medical-life');?>">
                    <p> <?php $cat= medical_life_get_option('medical_life_healthtipsCategory');category_description( get_category_by_slug($cat)->term_id ); ?> </p>
                </div>
              </div><!--row-->
            </div><!--container-->
          </div><!--health-head--> 
          <div class="container">
              <div class="health-content">
                <?php get_template_part('template-parts/content','');?>
              </div>   
          </div><!--health-content-->
    </div><!--health-section-->
  </div>
</div><!--container-->
<div id="Testimonials">
  <div class="container">
     <div class="row">
         <div class="testi-title">
            <h1><?php echo esc_html(medical_life_get_option('medical_life_testimonial_title'));?></h1>
            <img src="<?php echo esc_url($medical_life_defaults['medical_life_underline_img']);?>" alt="<?php _e('Img','medical-life');?>">
        </div><!--testi-title-->
    </div>
    <div class='row'>
      <div class="col-md-12">  
        <div class="carousel slide" data-ride="carousel" id="quote-carousel">
          <ol class="carousel-indicators">
          <?php
            $cat= medical_life_get_option('medical_life_testimonialsCategory');
            $args= array(
                'post_type'        => 'post',
                'category_name'     => $cat,
                'posts_per_page'    => 3,
            );
            $query= new WP_Query($args);     
            if($query->have_posts()): $i=0;while($query->have_posts()):$query->the_post();
          ?>
            <li data-target="#quote-carousel" data-slide-to="<?php echo absint($i);?>" class="<?php if($i==0) echo 'active'; ?>"><?php if(has_post_thumbnail()): the_post_thumbnail('thumbnail', array('class' => 'img-responsive')); endif;?>
            </li>
            <?php 
                ++$i;
                endwhile;
                endif;
                wp_reset_postdata();
            ?>
          </ol>
           <!-- Carousel Slides / Quotes -->
          <div class="carousel-inner text-center">                 
            <!-- Quote 1 -->
            <?php 
                $cat= medical_life_get_option('medical_life_testimonialsCategory');
                $args= array(
                    'post_type'        => 'post',
                    'category_name'     => $cat,
                    'posts_per_page'    => 3,
                );
                $query= new WP_Query($args);     
                if($query->have_posts()): $i=0;while($query->have_posts()):$query->the_post();
            ?>
            <div class="item <?php if($i==0) echo 'active';?>">
              <div class="container">
                <div class="row">
                  <div class="col-md-12">
                    <img src="<?php echo esc_url($medical_life_defaults['medical_life_testi_messagebox']);?>" alt="<?php _e('Img','medical-life');?>">
                     <p> <?php the_content();?></p>
                    <small class="quote-name"><?php the_title();?></small>
                  </div>
                </div>
              </div>
            </div>
            <?php 
                ++$i;
                endwhile;
                endif;
                wp_reset_postdata();
            ?>          
          </div>
        </div>                          
      </div>
    </div>
  </div><!--Container-->
</div><!--Testimonials-->
<div id="Specialist">
  <div class="container">
    <div class="row">
     <div class="specialist-title">
       <h1><?php echo esc_html(medical_life_get_option('medical_life_specialist_title'));?></h1>
      <img src="<?php echo esc_url($medical_life_defaults['medical_life_underline_img']);?>" alt="<?php _e('Img','medical-life');?>">
      <p><?php echo esc_html(medical_life_get_option('medical_life_specialist_desc'));?></p>
    </div><!--specialist-title-->
   </div><!--row-->
   <?php 
        $cat= medical_life_get_option('medical_life_specialistCategory');
        $args= array(
            'post_type'        => 'post',
            'category_name'     => $cat,
            'posts_per_page'    => 4,
        );
        $query= new WP_Query($args);     
        if($query->have_posts()): while($query->have_posts()):$query->the_post();
    ?>
   <div class="col-sm-6 col-md-3">
     <div class="specialist-panel1">   
       <?php if(has_post_thumbnail()):the_post_thumbnail('medical_life_specialist_img');endif;?>
        <a href="<?php the_permalink();?>"><h1><?php the_title();?></h1></a>
        <p><?php the_excerpt();?> </p>
     </div>
   </div>
   <?php endwhile;endif;wp_reset_postdata();?>
 </div>
</div>
<?php get_footer();?>