<!DOCTYPE html>
<html <?php language_attributes(); ?>>
  <head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=9" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
     <?php wp_head();?>
   </head>
<body <?php body_class(); ?>>
<?php if( is_front_page() && !is_home() || is_page_template('Mhome.php') ):?>
<div id="home" class="parallax">
    <div class="overlay" id= "medical-life-overlay">
     <nav class="nav navbar-inverse">
       <div class="container">
          <div class="navbar-header">
              <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span> 
               </button>            
                <?php medical_life_custom_logo(); $siteTitle= get_bloginfo('name'); ?>
				    <h1 class="site-title"><a href="<?php echo esc_url(home_url( '/' ) ); ?>" rel="home"><?php echo esc_html($siteTitle); ?></a></h1>
                <?php
        			$description = get_bloginfo( 'description', 'display' );
        			if( $description || is_customize_preview() ) : ?>
				    <p class="site-description"><?php echo esc_html($description); /* WPCS: xss ok. */ ?></p>
			     <?php endif;?>          
           </div><!--navbar-header-->
           <div class="collapse navbar-collapse" id="myNavbar">
             <ul class="nav navbar-nav">
                <?php 
                    wp_nav_menu(array(
                                    'theme_location'    => 'main-menu',
                                    'container'         => '',
                                    'depth'             => 2,
                                    'items_wrap'        => '%3$s',
                                    'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                                    'walker'            => new wp_bootstrap_navwalker()
                     ));
                ?>
                    <li><a href="#" data-toggle="collapse" aria-expanded="true" data-target="#demo"><i class="fa fa-search"></i></a></li> 
            </ul>
          </div>
           <div id="demo" class="collapse">
                <?php get_search_form();?>
            </div>
        <div class="slide-content">
            <p>
            <?php 
              if(have_posts()): while(have_posts()): the_post();
            ?>
                <small class="content-title"><?php the_title();?></small><br>
                <small class="content-para"><?php the_content();?></small> 
            <?php 
                endwhile;
                endif;
            ?>
             </p>
            <a href="<?php echo esc_url(medical_life_get_option('medical_life_slider_ctc_link')) ?>"><button type="button" class="btn"><?php echo esc_html(medical_life_get_option('medical_life_slider_ctc'));?></button></a><br>
            <a href="#service-section"><i class="fa fa-chevron-down"></i></a><br>
        </div><!--slide-content-->
      </div><!--container-->
     </nav><!--nav navbar-inverse--> 
  </div><!--overlay-->
</div><!--home-->
<!-------------- Other Pages ---------------------------------------------------------------->
<?php else: ?>
  <div id="top-home">
    <div class="over" id= "medical-life-overlay">
     <nav class="nav navbar-inverse">
       <div class="container">
          <div class="navbar-header">
              <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span> 
               </button>
                 <?php medical_life_custom_logo(); $siteTitle= get_bloginfo('name'); ?>
				    <h1 class="site-title"><a href="<?php echo esc_url(home_url( '/' ) ); ?>" rel="home"><?php echo esc_html($siteTitle); ?></a></h1>
                <?php
        			$description = get_bloginfo( 'description', 'display' );
        			if( $description || is_customize_preview() ) : ?>
				    <p class="site-description"><?php echo esc_html($description); /* WPCS: xss ok. */ ?></p>
			     <?php endif;?> 
           </div><!--navbar-header-->
             <div class="collapse navbar-collapse" id="myNavbar">
                <ul class="nav navbar-nav">
                <?php 
                    wp_nav_menu(array(
                                    'theme_location'    => 'main-menu',
                                    'container'         =>'',
                                     'depth'            => 2,
                                    'items_wrap'        =>  '%3$s',
                                    'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                                    'walker'            => new wp_bootstrap_navwalker()
                            ));
                ?>
                <li><a href="#" data-toggle="collapse" aria-expanded="true" data-target="#demo"><i class="fa fa-search fa-1.5x"></i></a></li> 
              </ul>
          </div>
           <div id="demo" class="collapse">
            <?php get_search_form();?>
            </div>
      </div><!--container-->
     </nav><!--nav navbar-inverse--> 
  </div><!--overlay-->
</div><!--home-->  
<?php endif;?>