<?php
/**
 * medical-life Theme Customizer.
 *
 * @package medical-life
 */
/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function medical_life_customize_registers( $wp_customize ) {
    global $medical_life_defaults;
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

/***********************************************Home PANEL*****************************************************************/
                    $wp_customize->add_panel( 'medical_life_home_panel', array(
                            'priority'       => 21,
                            'capability'     => 'edit_theme_options',
                            'title'          => __('Home Panel','medical-life'),
                        ) );
       
/*****************************************************MAIN SERVICE SECTION****************************************************/
                    $wp_customize->add_section('medical_life_service_section' , array(
                            'title'             => __('Service Section','medical-life'),
                            'panel'             =>'medical_life_home_panel',
                            'priority'          => 21,
                        ) );
                    $wp_customize->add_setting('medical_life_service_title', array(
                            'default'               => $medical_life_defaults['medical_life_service_title']  ,
                            'sanitize_callback'     => 'sanitize_text_field',
                    ));
                    $wp_customize->add_control('medical_life_service_title', array(
                           'label'                  =>__('Enter service title','medical-life'),
                           'section'                => 'medical_life_service_section',
                           'type'                   => 'text',
                    )); 
                    $wp_customize->add_setting('medical_life_service_title_desc', array(
                            'default'               =>$medical_life_defaults['medical_life_service_title_desc'] ,
                            'sanitize_callback'     => 'sanitize_text_field',
                    ) );
                    $wp_customize->add_control('medical_life_service_title_desc', array(
                           'label'                  =>__('Enter service description','medical-life'),
                           'section'                => 'medical_life_service_section',
                           'type'                   => 'textarea',
                    )); 
                    $wp_customize->add_setting('medical_life_serviceCategory',array(
                            'default'               => $medical_life_defaults['medical_life_serviceCategory'],
                            'sanitize_callback'     => 'medical_life_sanitize_category',
                    ) );
                    $wp_customize->add_control('medical_life_serviceCategory',array(
                            'label'                 =>__('Select Category:','medical-life'),
                            'section'               => 'medical_life_service_section',
                            'description'           => __( 'select the category to display post in Service section','medical-life'),
                            'type'                  => 'select',
                            'choices'               => medical_life_get_categories_select()
                    ));
/******************************* health tips secton************************************/
/*****************************************************MAIN SERVICE SECTION****************************************************/
                    $wp_customize->add_section('medical_life_healthtips_section' , array(
                            'title'             => __('Health tips Section','medical-life'),
                            'panel'             =>'medical_life_home_panel',
                            'priority'          => 27,
                    ) );
                    $wp_customize->add_setting('medical_life_healthtips_title', array(
                            'default'               => $medical_life_defaults['medical_life_healthtips_title'] ,
                            'sanitize_callback'     => 'sanitize_text_field',
                    ));
                    $wp_customize->add_control('medical_life_healthtips_title', array(
                           'label'                  =>__('Enter title:','medical-life'),
                           'section'                => 'medical_life_healthtips_section',
                           'type'                   => 'text',
                    )); 
                    $wp_customize->add_setting('medical_life_healthtipsCategory',array(
                            'default'               => $medical_life_defaults['medical_life_healthtipsCategory'],
                            'sanitize_callback'     => 'medical_life_sanitize_category',
                    ) );
                    $wp_customize->add_control('medical_life_healthtipsCategory',array(
                            'label'                 =>__('Select Category:','medical-life'),
                            'section'               => 'medical_life_healthtips_section',
                            'description'           => __( 'select the category to display post in Service section','medical-life'),
                            'type'                  => 'select',
                            'choices'               => medical_life_get_categories_select()
                    ));
        /********************************************** TESTIMONIALS SECTION ***********************************************/
                    $wp_customize->add_section('medical_life_testimonials_section' , array(
                            'title'     => __('Testimonials Section','medical-life'),
                            'panel'     =>'medical_life_home_panel',
                            'priority'  => 22,
                    ) );
                    $wp_customize->add_setting('medical_life_testimonial_title', array(
                            'default'               =>$medical_life_defaults['medical_life_testimonial_title'] ,
                            'sanitize_callback'     => 'sanitize_text_field',
                    ) );
                    $wp_customize->add_control('medical_life_testimonial_title', array(
                                   'label'          =>__('Enter title:','medical-life'),
                                   'section'        => 'medical_life_testimonials_section',
                                   'type'           => 'text',
                    ));
                    $wp_customize->add_setting('medical_life_testimonialsCategory',array(
                            'default'               => $medical_life_defaults['medical_life_testimonialsCategory'],
                            'sanitize_callback'     => 'medical_life_sanitize_category',
                    ) );
                    $wp_customize->add_control('medical_life_testimonialsCategory',array(
                            'label'                 =>__('Select Category:','medical-life'),
                            'section'               => 'medical_life_testimonials_section',
                            'description'           => __( 'select the category to display post in testimonial section','medical-life'),
                            'type'                  => 'select',
                            'choices'               => medical_life_get_categories_select()
                    )); 
                    
        /*********************************************SPECIALIST SECTION*****************************************************/
                    $wp_customize->add_section('medical_life_specialist_section' , array(
                            'title'                 => __('Specialist Section','medical-life'),
                            'panel'                 =>'medical_life_home_panel',
                            'priority'              => 23,
                    ) ); 
                    $wp_customize->add_setting('medical_life_specialist_title', array(
                            'default'               => $medical_life_defaults['medical_life_specialist_title'],
                            'sanitize_callback'     => 'sanitize_text_field',
                    ) );
                    $wp_customize->add_control('medical_life_specialist_title', array(
                            'label'                 =>__('Enter Title:','medical-life'),
                            'section'               => 'medical_life_specialist_section',
                            'type'                  => 'text',
                    ));
                    $wp_customize->add_setting('medical_life_specialist_desc', array(
                            'default'               => $medical_life_defaults['medical_life_service_title_desc'],
                            'sanitize_callback'     => 'sanitize_text_field',
                        ) );
                     $wp_customize->add_control('medical_life_specialist_desc', array(
                            'label'                 =>__('Enter Content:','medical-life'),
                            'section'               => 'medical_life_specialist_section',
                            'type'                  => 'textarea',
                    ));
                    $wp_customize->add_setting('medical_life_specialistCategory',array(
                            'default'               => $medical_life_defaults['medical_life_specialistCategory'],
                            'sanitize_callback'     => 'medical_life_sanitize_category',
                    ) );
                    $wp_customize->add_control('medical_life_specialistCategory',array(
                            'label'                 =>__('Select Category:','medical-life'),
                            'section'               => 'medical_life_specialist_section',
                            'description'           => __( 'select the category to display post in testimonial section','medical-life'),
                            'type'                  => 'select',
                            'choices'               => medical_life_get_categories_select(),
                    )); 
               
/******************************************** SLIDER SECTION ***********************************************/
                $wp_customize->add_section('medical_life_slider_section' , array(
                            'title'                 => __('Slider Section','medical-life'),
                            'panel'                 =>'medical_life_home_panel',
                            'priority'              => 9,
                    ) );
                $wp_customize->add_setting('medical_life_slider_ctc', array(
                            'default'                   => $medical_life_defaults['medical_life_slider_ctc'],
                            'sanitize_callback'         => 'sanitize_text_field',
                ) );
                $wp_customize->add_control('medical_life_slider_ctc', array(
                           'label'                  =>__('Enter CTC Link','medical-life'),
                           'section'                => 'medical_life_slider_section',
                           'type'                   => 'text',
                ));
                $wp_customize->add_setting('medical_life_slider_ctc_link', array(
                            'default'                   => $medical_life_defaults['medical_life_slider_ctc_link'],
                            'sanitize_callback'         => 'esc_url_raw',
                ) );
                $wp_customize->add_control('medical_life_slider_ctc_link', array(
                           'label'                  =>__('Enter CTC Text','medical-life'),
                           'section'                => 'medical_life_slider_section',
                           'type'                   => 'text',
                ));
                $wp_customize->add_setting('medical_life_sliderImg', array(
                            'default'               => $medical_life_defaults['medical_life_sliderImg'] ,
                            'sanitize_callback'     => 'esc_url_raw',
                ) );
                
                $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'medical_life_sliderImg',array(
                           'label'                  =>__('Upload Slider Background Image','medical-life'),
                           'section'                => 'medical_life_slider_section', 
                )));
                
          
/***************************************************END OF HOME PANNEL***************************************************/
/******************************************************* FOOTER PANNEL **************************************************/
                $wp_customize->add_section('medical_life_footer_section' , array(
                        'title'                     => __('Footer section','medical-life'),
                        'priority'                  => 124,
                ) );
                 $wp_customize->add_setting('medical_life_footer_text', array(
                        'default'                   => '',
                        'sanitize_callback'         => 'medical_life_sanitize_copyright',
                ) );
                $wp_customize->add_control('medical_life_footer_text', array(
                       'label'                      =>__('Enter copyright Text','medical-life'),
                       'section'                    => 'medical_life_footer_section',
                       'type'                       => 'text',
                ));
/***************************** Page Sidebar Setting *********************************************************************/
                $wp_customize->add_section('medical_life_page_sidebar_section', array(
                        'title'                     => __('Page Sidebar', 'medical-life'),
                        'priority'                  => 28,
                ));
                $wp_customize->add_setting('medical_life_blog_page_sidebar_setting',array(
                        'default'                   => $medical_life_defaults['medical_life_blog_page_sidebar_setting'],
                        'sanitize_callback'         => 'medical_life_sanitize_blog_sidebar',
                ));
                $wp_customize->add_control('medical_life_blog_page_sidebar_setting', array(
                       'label'                      => __('Chooset page sidebar','medical-life'),
                       'description'                => __('Choose left/right/no sidebar for displaying full left, right, full width sidebar in blog listing page','medical-life'),
                       'section'                    => 'medical_life_page_sidebar_section',
                       'type'                       => 'radio',
                       'choices'                    => array(
                                    'left'          => __('Left sidebar','medical-life'),
                                    'right'         => __('Right sidebar','medical-life'),
                                    'no'            => __('No sidebar','medical-life'),
                           )
                ));
}
add_action( 'customize_register', 'medical_life_customize_registers');
/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function medical_life_customize_preview_js() {
	wp_enqueue_script( 'medical_life_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20151215', true );
}
add_action( 'customize_preview_init', 'medical_life_customize_preview_js' );
/**********************************************************************/
function medical_life_sanitize_category( $value ) {
	$catname = medical_life_get_categories_select();

	if ( ! array_key_exists( $value, $catname ) ) {
		$value = 'default';
	}

	return $value;
} 
function medical_life_sanitize_copyright( $input ) {
    return wp_strip_all_tags( stripslashes( $input ) );
}
// select Category
function medical_life_get_categories_select() {
  $all_cats = get_categories();
  $results;
  $count = count($all_cats);
  for ($i=0; $i < $count; $i++) {
    if (isset($all_cats[$i]))
      $results[$all_cats[$i]->slug] = $all_cats[$i]->name;
    else
      $count++;
  }
  return $results;
}
// sanitize blog page sidebar
function medical_life_sanitize_blog_sidebar($input) {
      $valid_keys = array( 
                'left'     => 'Left sidebar',
                'right'    => 'Right sidebar',
                'no'       => 'No sidebar',
                );
      if ( array_key_exists( $input, $valid_keys ) ) {
         return $input;
      } else {
         return '';
      }
}
